using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;

namespace XmlTemplate.WebControls {
	public class BaseHead : HtmlGenericControl {
		private HtmlGenericControl _Title;
		private PlaceHolder _Custom;

		public HtmlGenericControl Title {
			get {
				return _Title;
			}
			set {
				_Title = value;
				Controls.Add(_Title);
			}
		}

		public PlaceHolder Custom {
			get {
				return _Custom;
			}
			set {
				_Custom = value;
				Controls.Add(_Custom);
			}
		}

		public BaseHead() {
			TagName = "head";
		}
	}

}
