using System.Web.UI;
using System.Web.UI.HtmlControls;

namespace XmlTemplate.WebControls {
	public class BaseHtml : HtmlGenericControl {
		private BaseHead _Head;
		private BaseBody _Body;

		public BaseHtml() {
			TagName = "html";
		}

		public BaseHead Head {
			get {
				return _Head;
			}
			set {
				_Head = value;
				Controls.Add(_Head);
			}
		}

		public BaseBody Body {
			get {
				return _Body;
			}
			set {
				_Body = value;
				Controls.Add(_Body);
			}
		}
	}

}
